RedCrawler API
Flairs V1

User Flair Options V1

Get available user flair templates for a subreddit. Returns flair options that users can select. Requires bearer token.

POST /api/v1/communities/user-flair

Get available user flair templates for a subreddit. Returns flair options that users can select. Requires bearer token.

Body parameters

NameTypeRequiredDescription
subredditstringYesSubreddit name (e.g. pcmasterrace).
proxystringNoProxy. Optional if stored in Token Vault.
bearerstringNoBearer token. Optional if stored in Token Vault.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X POST "https://red-crawler1.p.rapidapi.com/api/v1/communities/user-flair" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"subreddit": "pcmasterrace", "proxy": "<proxy>", "bearer": "<bearer>"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/communities/user-flair", {
  method: "POST",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "subreddit": "pcmasterrace",
  "proxy": "<proxy>",
  "bearer": "<bearer>"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/communities/user-flair"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "subreddit": "pcmasterrace",
  "proxy": "<proxy>",
  "bearer": "<bearer>"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": [
    {
      "allowable_content": "all",
      "text": "User flair 2",
      "text_color": "light",
      "mod_only": false,
      "background_color": "#14998e",
      "id": "dcf3e5c2-43b4-11f1-9196-02849ff8e42b",
      "css_class": "",
      "max_emojis": 10,
      "richtext": [
        {
          "e": "text",
          "t": "User flair 2"
        }
      ],
      "text_editable": false,
      "override_css": false,
      "type": "richtext"
    }
  ],
  "error": null,
  "meta": {
    "vault_expires_at": "2026-04-30T07:47:21.906002+00:00",
    "vault_remaining": "21h 12m"
  },
  "timestamp": "2026-04-29T10:35:16.949877+00:00"
}

On this page